/* qd1.p quick dictionary chadb 08/01/97 */

DEF INPUT PARAMETER v-dbn AS CHAR NO-UNDO.

{qd.i}

STATUS DEFAULT "Loading Schema for " + v-dbn.
FOR EACH xx._file NO-LOCK
    WHERE xx._file._file-name < "_" 
      AND not can-do("SYS*",xx._file._file-name)
    , EACH xx._field NO-LOCK OF xx._file:

  
  CREATE ww.
  ASSIGN
    ww.w_db-name = v-dbn
    ww.w_file-name = xx._file._file-name
    ww.w_field-name = xx._field._field-name
    ww.w_order = xx._field._order
    ww.w_label =  (IF xx._field._label = ? THEN "" ELSE xx._field._label)
    ww.w_info = TRIM(SUBSTR(xx._field._data-type,1,4) + " "
    + (IF xx._field._decimals > 0 THEN
    STRING(xx._field._decimals)
    ELSE " ")
    + (IF xx._field._extent > 1   THEN
    " [" + STRING(xx._field._extent) + "]"
    ELSE ""))
    ww.w_format = xx._field._format.

END.


