/* qd2.p - quick dictionary - chadb 08/01/97 */

DEF INPUT PARAM ip-fn AS CHAR NO-UNDO.
DEF INPUT PARAM ip-dn AS CHAR NO-UNDO.
DEF VAR my-desc  AS CHAR NO-UNDO.
DEF VAR my-desc2 AS CHAR NO-UNDO.
DEF VAR my-valid AS CHAR NO-UNDO.


on endkey, end, F4, stop anywhere do:
  return no-apply.
end.


DO ON ERROR UNDO, LEAVE
    ON ENDKEY UNDO, LEAVE
    ON STOP UNDO, LEAVE
    ON QUIT UNDO, LEAVE:
  FIND FIRST xx._file WHERE xx._file._file-name = ip-fn NO-ERROR.
  FIND FIRST xx._field OF xx._file
    WHERE xx._field._field-name = ip-dn NO-ERROR.

  IF AVAIL xx._file THEN
  DO
      ON ERROR UNDO, LEAVE
      ON ENDKEY UNDO, LEAVE
      ON STOP UNDO, LEAVE
      ON QUIT UNDO, LEAVE:
    ASSIGN
      my-desc = xx._file._desc
      my-desc = REPLACE(my-desc,"  "," ")
      my-desc = REPLACE(my-desc,"  "," ")
      my-desc = REPLACE(my-desc,"  "," ")
      my-desc = REPLACE(my-desc,"  "," ")
      my-desc = REPLACE(my-desc,"  "," ")
      my-desc = REPLACE(my-desc,"  "," ").


    DISP LDBNAME("xx") LABEL "Database"  SKIP
      my-desc /* xx._file._desc */ LABEL "Desc1" FORMAT "x(60)"
      SUBSTRING(my-desc,61) FORMAT "x(60)" LABEL "Desc2"
      SUBSTRING(my-desc,121) FORMAT "x(60)" LABEL "Desc3"
      SUBSTRING(my-desc,181) FORMAT "x(60)" LABEL "Desc4"
      xx._file._dump-name LABEL "Dump Name" FORMAT "x(20)"
      WITH FRAME wfile-frame OVERLAY ROW 1 COLUMN 6 SIDE-LAB
      TITLE " File: " + ip-fn + " " .
  END.

  IF AVAIL xx._field THEN
  DO
      ON ERROR UNDO, LEAVE
      ON ENDKEY UNDO, LEAVE
      ON STOP UNDO, LEAVE
      ON QUIT UNDO, LEAVE:
    ASSIGN
      my-valid = xx._field._valexp
      my-valid = REPLACE(my-valid,"  "," ")
      my-valid = REPLACE(my-valid,"  "," ")
      my-valid = REPLACE(my-valid,"  "," ")
      my-valid = REPLACE(my-valid,"  "," ")
      my-valid = REPLACE(my-valid,"  "," ")
      my-valid = REPLACE(my-valid,"  "," ")
      my-desc2 = xx._field._desc
      my-desc2 = REPLACE(my-desc2,"  "," ")
      my-desc2 = REPLACE(my-desc2,"  "," ")
      my-desc2 = REPLACE(my-desc2,"  "," ")
      my-desc2 = REPLACE(my-desc2,"  "," ")
      my-desc2 = REPLACE(my-desc2,"  "," ")
      my-desc2 = REPLACE(my-desc2,"  "," ").

    DISP /* xx._field._desc */ my-desc2 LABEL "Desc1" FORMAT "x(60)" SKIP
      SUBSTRING(my-desc2,61) LABEL "Desc2" FORMAT "x(60)" SKIP
      xx._field._help  LABEL "Help"               SKIP
      xx._field._format LABEL "Format"            SKIP
      my-valid /* xx._field._valexp */ FORMAT "x(60)" LABEL "Validate1"
      SUBSTRING(my-valid,61)           FORMAT "x(60)" LABEL "Validate2"
      SUBSTRING(my-valid,121)          FORMAT "x(60)" LABEL "Validate3"
      xx._field._label LABEL "Label"
      xx._field._col-label LABEL "Col label" SKIP
      xx._field._initial FORMAT "x(20)" LABEL "Init val"
      WITH FRAME wfield-frame OVERLAY ROW 9 COLUMN 6 SIDE-LAB
      TITLE " Field: " + ip-dn + " ".
  END.
  do on endkey undo, leave
     on error  undo, leave
     on stop   undo, leave
     on quit   undo, leave:
    /* pause */  /* Version 9.1C not trapping endkey 12/13/01 */
    status default "Press space bar to continue.".
    readkey.
    status default "".
  end.  
END.

PAUSE 0.

HIDE FRAME wfile-frame NO-PAUSE.
HIDE FRAME wfield-frame NO-PAUSE.

RETURN NO-APPLY.

