/* qd4.p - Quick Dictionary , Index - chadb 08/08/97 */

DEF INPUT PARAM ip-fn AS CHAR NO-UNDO.
DEF VAR Flags AS CHAR NO-UNDO FORMAT "xxxxx".

PAUSE BEFORE-HIDE.

ON f4 go.

FIND FIRST xx._file WHERE xx._file._file-name = ip-fn NO-LOCK NO-ERROR.
IF NOT AVAIL xx._file THEN
RETURN.
DEF STREAM ostream.
DEF VAR need-where AS LOGICAL.

/************** enable this for automatic creation of where clauses ****
OUTPUT STREAM ostream TO idx.

FOR EACH xx._index NO-LOCK
WHERE xx._index._file-recid = RECID(xx._file)
AND xx._index._active = YES
, EACH xx._index-field NO-LOCK
WHERE xx._index-field._index-recid = RECID(xx._index)
, FIRST xx._field NO-LOCK
WHERE RECID(xx._field) = xx._index-field._field-recid
BREAK BY NOT (xx._file._prime-index = RECID(xx._index))
BY NOT (xx._index._unique)
BY xx._index._index-name BY xx._index-field._index-seq
ON ENDKEY UNDO, LEAVE
ON ERROR  UNDO, LEAVE
ON STOP   UNDO, LEAVE
ON QUIT   UNDO, LEAVE:

IF FIRST-OF (xx._index._index-name) THEN
DO:
PUT STREAM ostream UNFORM SKIP(1)
"  for each " + ip-fn + " no-lock " SKIP .
ASSIGN need-where = YES.
END.
IF need-where THEN
DO:
PUT STREAM ostream UNFORM
"     where " ip-fn + "." + xx._field._field-name + " = " SKIP.
ASSIGN need-where = NO.
END.
ELSE
DO:
PUT STREAM ostream UNFORM
"       and " ip-fn + "." + xx._field._field-name + " = " SKIP.

END.
END.
OUTPUT STREAM ostream CLOSE.
***********************************************/

FOR EACH xx._index NO-LOCK
    WHERE xx._index._file-recid = RECID(xx._file)
    AND xx._index._active = YES
    , EACH xx._index-field NO-LOCK
    WHERE xx._index-field._index-recid = RECID(xx._index)
    , FIRST xx._field NO-LOCK
    WHERE RECID(xx._field) = xx._index-field._field-recid
    BREAK BY NOT (xx._file._prime-index = RECID(xx._index))
    BY NOT (xx._index._unique)

    BY xx._index._index-name BY xx._index-field._index-seq

    WITH FRAME idx-frame
    ON ERROR UNDO, LEAVE
    ON ENDKEY UNDO, LEAVE
    ON QUIT UNDO, LEAVE
    ON STOP UNDO, LEAVE:

  IF FIRST-OF(xx._index._index-name) THEN
  flags = (IF xx._file._prime-index = RECID(xx._index) THEN "P"
  ELSE ""
  )
  + (IF xx._index._unique THEN "U"
  ELSE ""
  ).
  ELSE
  flags = "".
  DISP
    xx._index._index-name FORMAT "x(18)"
    WHEN FIRST-OF(xx._index._index-name)
    xx._field._field-name FORMAT "x(18)"
    SPACE(0)
    (IF xx._index-field._ascending THEN "" ELSE "[D]") FORMAT "XXX"
    ENTRY(
    LOOKUP(xx._field._data-type,"decimal,integer,character,logical,date")
    ,"dec,int,char,log,date")
    FORMAT "xxxx" LABEL "Type"
    flags
    WITH FRAME idx-frame ROW 1 CENTER
    TITLE " Indexes for " + ip-fn + " " 16 DOWN OVERLAY ATTR-SPACE.

END.

DO ON ERROR UNDO, LEAVE
    ON ENDKEY UNDO, LEAVE
    ON STOP UNDO, LEAVE
    ON QUIT UNDO, LEAVE:
  ON f4 end-error.
  STATUS DEFAULT "Press space bar to continue.".
  PAUSE 0.
  READKEY.
  STATUS DEFAULT "".
END.

ASSIGN FRAME idx-frame:visible = NO
  FRAME idx-frame:hidden = YES.
HIDE FRAME idx-frame NO-PAUSE.
PAUSE 0 NO-MESSAGE.
RETURN NO-APPLY.


